/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
/*

UDP RFC 0768

*/

#include "tcpvars.h"
#include "in.h"
#include "netinet.h"

#ifdef UDP_ENABLED
#define DEBUGUDP 0

/* rx UDP RFC 0768 */

void udp(bufnum, loh, lop, lod)
unsigned int bufnum;
unsigned int loh;
unsigned int lop;
unsigned int lod;
{
	unsigned char *buffer;
	unsigned char *bufflags;
	unsigned char *srcip;
	unsigned char c;
	
	buffer = bufptrs[bufnum];
	srcip = remip + 4 * bufnum;
	bufflags = txrxflags + bufnum;
	c = buffer[loh] & 0xff;
#if DEBUGUDP
	printf("\nUDP");
#endif


	/* nothing yet */
	/* type 3, code 3 port unreachable */
	err_reply(bufnum, 3, 3, 0);	

#if DEBUGUDP
			printf("\n");
#endif
	return;	
}


#else
void udp(bufnm, loh, lop, lod)
unsigned int bufnum;
unsigned int loh;
unsigned int lop;
unsigned int lod;
{
	/* type 3, code 3 port unreachable */
	err_reply(bufnum, 3, 3, 0);
	return;
}
#endif

/* tell link parser who we are and where we belong

0600 libznet.lib udp.obj xxLIBRARYxx

*/

